Page MenuHomePhabricator

[analyzer] Make StmtDataCollector part of the CloneDetection API
ClosedPublic

Authored by teemperor on Jun 30 2017, 7:00 AM.

Diff Detail

Event Timeline

teemperor created this revision.Jun 30 2017, 7:00 AM
NoQ accepted this revision.Jul 2 2017, 1:06 AM

Looks good. To think: maybe we need a better name (and/or a place to live) for this API, now that it's not only related to clone detection, but is useful for more stuff?

include/clang/Analysis/CloneDetection.h
20–24

Most of these #includes are now redundant.

This revision is now accepted and ready to land.Jul 2 2017, 1:06 AM

Yeah, we should move it, but it should land somewhere in a header in /AST/ so that for example the StmtProfiler could make use of this. I'm open for suggestions here :)

teemperor closed this revision.Jul 9 2017, 8:56 AM